<?xml version="1.0"?>
<wsdl:definitions
   targetNamespace="http://example.com/shipping/interfaces/"
   xmlns:ship="http://example.com/shipping/ship.xsd"
   xmlns:tns="http://example.com/shipping/interfaces/"
   xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/"
   xmlns:xsd="http://www.w3.org/2001/XMLSchema"
   xmlns:soap="http://schemas.xmlsoap.org/wsdl/soap/">

   <wsdl:types>
      <xsd:schema targetNamespace="http://example.com/shipping/interfaces/">
         <xsd:import namespace="http://example.com/shipping/ship.xsd" schemaLocation="ship.xsd"/>
      </xsd:schema>
   </wsdl:types>

   <wsdl:message name="shippingRequestMsg">
      <wsdl:part name="shipOrder" element="ship:shipOrder" />
   </wsdl:message>


   <wsdl:message name="shippingNoticeMsg">
      <wsdl:part name="shipNotice" element="ship:shipNotice" />
   </wsdl:message>

   <wsdl:portType name="shippingServicePT">
      <wsdl:operation name="shippingRequest">
         <wsdl:input name="input1" message="tns:shippingRequestMsg"/>
         <wsdl:output name="output1" message="tns:shippingNoticeMsg"/>
      </wsdl:operation>
   </wsdl:portType>
    <wsdl:binding name="ServiceSOAPBinding" type="tns:shippingServicePT">
        <soap:binding transport="http://schemas.xmlsoap.org/soap/http" style="document"/>
       <wsdl:operation name="shippingRequest">
          <soap:operation/>
          <wsdl:input name="input1">
             <soap:body use="literal"/>
          </wsdl:input>
          <wsdl:output name="output1">
             <soap:body use="literal"/>
          </wsdl:output>
       </wsdl:operation>
    </wsdl:binding>
    <wsdl:service name="shippingService">
        <wsdl:port name="shippingService" binding="tns:ServiceSOAPBinding">
            <soap:address location="http://localhost:8080/active-bpel/services/shippingService"/>
        </wsdl:port>
    </wsdl:service>
</wsdl:definitions>
